/*!
 * settings.js
 *
 * Copyright (c) "kento" Karim Rahimpur www.itthinx.com
 *
 * This code is provided subject to the license granted.
 * Unauthorized use and distribution is prohibited.
 * See COPYRIGHT.txt and LICENSE.txt
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * This header and all notices must be kept intact.
 *
 * @author itthinx
 * @package woocommerce-product-search
 * @since 5.0.0
 */
(function(a){a(document).ready(function(){a("table.woocommerce-product-search-cache tbody").sortable({items:"tr:not(.locked)",cursor:"move",axis:"y",handle:"td.sort",scrollSensitivity:40,helper:function(d,e){e.children().each(function(){a(this).width(a(this).width())});e.css("left","0");return e},start:function(d,e){e.item.css("background-color","#f6f6f6")},stop:function(d,e){e.item.removeAttr("style");e.item.trigger("updateMoveButtons")}});function c(d){var e=["B","KB","MB","GB","TB","PB"];for(var f=0;f<e.length-1;f++){if(d<Math.pow(1024,f+1)){break}}var g=f==0?""+d:(d*1/Math.pow(1024,f)).toFixed(2);return g.replace(/\B(?=(\d{3})+(?!\d))/g,",")+" "+e[f]}function b(e){var d=a(e).data("url");var g=a(e);var f=a(e).data("nonce");if(typeof window.wpApiSettings!=="undefined"&&typeof window.wpApiSettings.nonce!=="undefined"){f=window.wpApiSettings.nonce}g.addClass("blinker");a.ajax({url:d,method:"GET",timeout:woocommerce_product_search_settings.timeout,data:{_wpnonce:f},complete:function(h,j){g.removeClass("blinker");setTimeout(b,woocommerce_product_search_settings.interval,e)},success:function(j,l,h){var k='<div class="storage-status-display">';if(typeof j.max_files!=="undefined"&&j.max_files>0){if(typeof j.count!=="undefined"){let formatted_max_files=(""+j.max_files).replace(/\B(?=(\d{3})+(?!\d))/g,",");k+="<div>"+woocommerce_product_search_settings.number_of_cache_files+" : "+woocommerce_product_search_settings.x_of_y.replace("%1$s",j.count).replace("%2$s",formatted_max_files)+"</div>"}}if(typeof j.max_size!=="undefined"&&j.max_size>0){if(typeof j.size!=="undefined"){k+="<div>"+woocommerce_product_search_settings.size_of_cache_files+" : "+woocommerce_product_search_settings.x_of_y.replace("%1$s",c(j.size)).replace("%2$s",c(j.max_size))+"</div>"}}if(typeof j.free!=="undefined"&&typeof j.total!=="undefined"){if(j.free!==null&&j.total!==null){k+="<div>"+woocommerce_product_search_settings.storage_space+" : "+woocommerce_product_search_settings.free_of.replace("%1$s",c(j.free)).replace("%2$s",c(j.total));"</div>"}else{k+='<div><span class="warning storage-space-warning">'+woocommerce_product_search_settings.storage_space_info_unavailable+"</span></div>";if(typeof j.infos!=="undefined"&&j.infos.length>0){k+='<ul class="infos">';for(let i=0;i<j.infos.length;i++){k+='<li class="info">'+j.infos[i]+"</li>"}k+="</ul>"}}}if(typeof j.free_disk_space!=="undefined"&&j.free_disk_space!==null){k+="<div>";k+=woocommerce_product_search_settings.free_storage_space+" : "+Number.parseFloat(j.free_disk_space).toFixed(2)+" %";if(typeof j.min_free_disk_space!=="undefined"&&typeof j.unit!=="undefined"&&j.unit==="percent"&&j.free_disk_space<j.min_free_disk_space||typeof j.free!=="undefined"&&j.unit!=="percent"&&j.free<j.min_free_disk_space){k+=' <span title="'+woocommerce_product_search_settings.storage_space_exhausted+'" class="warning storage-space-warning">'+woocommerce_product_search_settings.warning+"</span>"}k+="</div>"}if(typeof j.min_free_disk_space!=="undefined"&&typeof j.unit!=="undefined"){switch(j.unit){case"percent":k+="<div>"+woocommerce_product_search_settings.minimum_free_storage_space+" : "+j.min_free_disk_space+" %</div>";break;default:k+="<div>"+woocommerce_product_search_settings.minimum_free_storage_space+" : "+c(j.min_free_disk_space)+"</div>"}}k+="</div>";g.html(k)},error:function(h,k,j){g.addClass("status-fail");if(j){g.attr("title",j)}}})}a(".wps-cache-status-box").each(function(d,e){b(e)});a(".wps-cache-flush").click(function(f){f.preventDefault();f.stopPropagation();var g=a(f.target);var d=g.data("url");var e=g.data("nonce");if(typeof window.wpApiSettings!=="undefined"&&typeof window.wpApiSettings.nonce!=="undefined"){e=window.wpApiSettings.nonce}g.addClass("blinker");g.removeClass("status-ok");g.removeClass("status-fail");g.attr("title","");d+=(d.indexOf("?")===-1?"?":"&")+a.param({_wpnonce:e});a.ajax({url:d,method:"DELETE",complete:function(h,j){g.removeClass("blinker")},success:function(k,l,j){var h=false;if(typeof k.flush!=="undefined"){h=k.flush}if(h){g.addClass("status-ok")}else{g.addClass("status-fail")}},error:function(h,k,j){g.addClass("status-fail");if(j){g.attr("title",j)}}})});a(".wps-cache-gc").click(function(f){f.preventDefault();f.stopPropagation();var g=a(f.target);var d=g.data("url");var e=g.data("nonce");if(typeof window.wpApiSettings!=="undefined"&&typeof window.wpApiSettings.nonce!=="undefined"){e=window.wpApiSettings.nonce}g.addClass("blinker");g.removeClass("status-ok");g.removeClass("status-fail");g.attr("title","");d+=(d.indexOf("?")===-1?"?":"&")+a.param({_wpnonce:e});a.ajax({url:d,method:"DELETE",complete:function(h,j){g.removeClass("blinker")},success:function(k,l,h){var j=false;if(typeof k.gc!=="undefined"){j=k.gc}if(j){g.addClass("status-ok")}else{g.addClass("status-fail")}},error:function(h,k,j){g.addClass("status-fail");if(j){g.attr("title",j)}}})})})})(jQuery);